=== debian/control ===
Source: ros-kinetic-aruco-detect
Section: misc
Priority: extra
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), python-cairosvg, python-joblib, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-fiducial-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-aruco-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-cairosvg, python-joblib, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-fiducial-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Description: Fiducial detection based on the aruco library
